test.sh 399 B

1234567891011121314151617181920212223
  1. #!/usr/bin/env bash
  2. set -euo pipefail
  3. function cleanup() {
  4. pkill -P $$
  5. }
  6. trap cleanup EXIT SIGINT
  7. # Build static assets
  8. (cd ../.. && npm ci && npm run assets)
  9. go tool anubis --help 2>/dev/null ||:
  10. go run ../cmd/unixhttpd &
  11. FORCED_LANGUAGE=de go tool anubis \
  12. --policy-fname ./anubis.yaml \
  13. --use-remote-address \
  14. --target=unix://$(pwd)/unixhttpd.sock &
  15. backoff-retry node ./test.mjs